org.apache.commons.math3.ode

## Class MultistepIntegrator.CountingDifferentialEquations

- java.lang.Object
- - org.apache.commons.math3.ode.MultistepIntegrator.CountingDifferentialEquations

- All Implemented Interfaces:
    FirstOrderDifferentialEquations
  Enclosing class:
    MultistepIntegrator

      private class MultistepIntegrator.CountingDifferentialEquations
      extends java.lang.Object
      implements FirstOrderDifferentialEquations

  Wrapper for differential equations, ensuring start evaluations are counted.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `dimension` Dimension of the problem.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultistepIntegrator.CountingDifferentialEquations(int dimension)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `computeDerivatives(double t, double[] y, double[] dot)` Get the current time derivative of the state vector.
    `int` | `getDimension()` Get the dimension of the problem.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dimension

          private final int dimension

      Dimension of the problem.

  - ### Constructor Detail

    - #### MultistepIntegrator.CountingDifferentialEquations

          public MultistepIntegrator.CountingDifferentialEquations(int dimension)

      Simple constructor.
      Parameters:
        `dimension` - dimension of the problem

  - ### Method Detail

    - #### computeDerivatives

          public void computeDerivatives(double t,
                                double[] y,
                                double[] dot)
                                  throws MaxCountExceededException,
                                         DimensionMismatchException

      Get the current time derivative of the state vector.
      Specified by:
        `computeDerivatives` in interface `FirstOrderDifferentialEquations`
      Parameters:
        `t` - current value of the independent time variable
        `y` - array containing the current value of the state vector
        `dot` - placeholder array where to put the time derivative of the state vector
      Throws:
        `MaxCountExceededException` - if the number of functions evaluations is exceeded
        `DimensionMismatchException` - if arrays dimensions do not match equations settings

    - #### getDimension

          public int getDimension()

      Get the dimension of the problem.
      Specified by:
        `getDimension` in interface `FirstOrderDifferentialEquations`
      Returns:
        dimension of the problem

Copyright (c) 2003-2013 Apache Software Foundation